Panda3D

Loading...
Searching...
No Matches
Public Member Functions | List of all members
PhysxLinearInterpolationValues Class Reference

## Public Member Functions
void | clear ()
unsigned int | get_size () const
float | get_value (float number) const
float | get_value_at_index (int index) const
void | insert (float index, float value)
bool | is_valid (float number) const
void | output (std::ostream &out) const

## Detailed Description

Definition at line 25 of file physxLinearInterpolationValues.h.

## Constructor & Destructor Documentation

## ◆ PhysxLinearInterpolationValues()

PhysxLinearInterpolationValues::PhysxLinearInterpolationValues | ( |  | ) |
| inline

Definition at line 17 of file physxLinearInterpolationValues.I.

## ◆ ~PhysxLinearInterpolationValues()

PhysxLinearInterpolationValues::~PhysxLinearInterpolationValues | ( |  | ) |
| inline

Definition at line 25 of file physxLinearInterpolationValues.I.

## Member Function Documentation

## ◆ clear()

void PhysxLinearInterpolationValues::clear | ( |  | ) |

Definition at line 19 of file physxLinearInterpolationValues.cxx.

## ◆ get_size()

unsigned int PhysxLinearInterpolationValues::get_size | ( |  | ) | const

Definition at line 53 of file physxLinearInterpolationValues.cxx.

## ◆ get_value()

float PhysxLinearInterpolationValues::get_value | ( | float | number | ) | const

Definition at line 62 of file physxLinearInterpolationValues.cxx.

## ◆ get_value_at_index()

float PhysxLinearInterpolationValues::get_value_at_index | ( | int | index | ) | const

Definition at line 93 of file physxLinearInterpolationValues.cxx.

## ◆ insert()

void PhysxLinearInterpolationValues::insert | ( | float | index,
|  | float | value )

Definition at line 28 of file physxLinearInterpolationValues.cxx.

## ◆ is_valid()

bool PhysxLinearInterpolationValues::is_valid | ( | float | number | ) | const

Definition at line 44 of file physxLinearInterpolationValues.cxx.

## ◆ output()

void PhysxLinearInterpolationValues::output | ( | std::ostream & | out | ) | const

Definition at line 108 of file physxLinearInterpolationValues.cxx.

The documentation for this class was generated from the following files:

- panda/src/physx/physxLinearInterpolationValues.h
- panda/src/physx/physxLinearInterpolationValues.cxx
- panda/src/physx/physxLinearInterpolationValues.I